com.verisign.epp.codec.defReg

## Class EPPDefRegCreateResp

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.defReg.EPPDefRegCreateResp

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPDefRegCreateResp
      extends EPPResponse

  Represents an EPPDefReg<defReg:creData> response to a `EPPDefRegCreateCmd`. When a <crate> command has been processed successfully, the EPP <resData> element MUSt contain a child <defReg:creData> element that identifies the defReg namespace and the location of the defReg schema. The <defReg:creData> element contains the following child elements:
  - A <defReg:name> element that contains the fully qualified defReg name that has been created or whose validity period has been extended. Use `getName` and `setName` to get and set the element.
  - A <defReg.roid> element that contains the roid of defReg object creation. Use `getRoid` and `setRoid` to get and set the element.
  - A <defReg.crDate> element that contains the date and time of defReg object creation. Use `getCreationDate` and `setCreationDate` to get and set the element.
  - An OPTIONAL <defReg:exDate> element that contains the end of the defReg's validity period. Use `getExpirationDate` and `setExpirationDate` to get and set the element.
  See Also:
    `EPPDefRegCreateCmd`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPDefRegCreateResp()` `EPPDefRegCreateResp` default constructor.
    `EPPDefRegCreateResp(EPPTransId aTransId, EPPDefRegName aName, java.lang.String aRoid)` `EPPDefRegCreateResp` constructor that takes the required attribute values as parameters.
    `EPPDefRegCreateResp(EPPTransId aTransId, EPPDefRegName aName, java.lang.String aRoid, java.util.Date aCreationDate)` `EPPDefRegCreateResp` constructor that takes the required attribute values as parameters.
    `EPPDefRegCreateResp(EPPTransId aTransId, EPPDefRegName aName, java.lang.String aRoid, java.util.Date aCreationDate, java.util.Date aExpirationDate)` `EPPDefRegCreateResp` constructor that takes the required attribute values as parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPDefRegCreateResp`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPDefRegCreateResp` attributes from the `aElement` DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPDefRegCreateResp` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPDefRegCreateResp` with this instance.
    `java.util.Date` | `getCreationDate()` Get creation date.
    `java.util.Date` | `getExpirationDate()` Gets the expiration date and time of the defReg.
    `EPPDefRegName` | `getName()` Gets the defReg name
    `java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPDefRegCreateResp`.
    `java.lang.String` | `getRoid()` Gets the defReg roid
    `java.lang.String` | `getType()` Gets the EPP command type associated with `EPPDefRegCreateResp`.
    `void` | `setCreationDate(java.util.Date newCrDate)` Set creation date.
    `void` | `setExpirationDate(java.util.Date aExpirationDate)` Sets the expiration date and time of the defReg.
    `void` | `setName(EPPDefRegName aName)` Sets the defReg name.
    `void` | `setRoid(java.lang.String aRoid)` Sets the defReg roid.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, findDuplicateExtNamespaces, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPDefRegCreateResp

          public EPPDefRegCreateResp()

      `EPPDefRegCreateResp` default constructor. Must call required setter methods before encode. the defaults include the following:
      - name is set to `null`
      - roid is set to `null`
      - expiration date is set to `null`
      The name must be set before invoking `encode`. The roid must be set before invoking `encode`.

    - #### EPPDefRegCreateResp

          public EPPDefRegCreateResp(EPPTransId aTransId,
                                     EPPDefRegName aName,
                                     java.lang.String aRoid)

      `EPPDefRegCreateResp` constructor that takes the required attribute values as parameters.
      The creation date must be set before invoking `encode`.
      Parameters:
        `aTransId` - Transaction Id associated with response.
        `aName` - DefReg name
        `aRoid` - DefReg roid

    - #### EPPDefRegCreateResp

          public EPPDefRegCreateResp(EPPTransId aTransId,
                                     EPPDefRegName aName,
                                     java.lang.String aRoid,
                                     java.util.Date aCreationDate)

      `EPPDefRegCreateResp` constructor that takes the required attribute values as parameters.
      Parameters:
        `aTransId` - transaction Id associated with response.
        `aName` - defReg name
        `aRoid` - defReg roid
        `aCreationDate` - creation date of the defReg

    - #### EPPDefRegCreateResp

          public EPPDefRegCreateResp(EPPTransId aTransId,
                                     EPPDefRegName aName,
                                     java.lang.String aRoid,
                                     java.util.Date aCreationDate,
                                     java.util.Date aExpirationDate)

      `EPPDefRegCreateResp` constructor that takes the required attribute values as parameters.
      Parameters:
        `aTransId` - transaction Id associated with response.
        `aName` - defReg name
        `aRoid` - defReg roid
        `aCreationDate` - creation date of the defReg
        `aExpirationDate` - expiration date of the defReg

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Gets the EPP command type associated with `EPPDefRegCreateResp`.
      Overrides:
        `getType` in class `EPPResponse`
      Returns:
        EPPDefRegCreateResp.ELM_NAME

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPDefRegCreateResp`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        `EPPDefRegMapFactory.NS`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPDefRegCreateResp` with this instance.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPDefRegCreateResp`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPDefRegCreateResp`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPResponse`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getName

          public EPPDefRegName getName()

      Gets the defReg name
      Returns:
        DefReg Name `String` instance if defined; `null` otherwise.

    - #### setName

          public void setName(EPPDefRegName aName)

      Sets the defReg name.
      Parameters:
        `aName` - DefReg Name

    - #### getRoid

          public java.lang.String getRoid()

      Gets the defReg roid
      Returns:
        DefReg roid `String` instance if defined; `null` otherwise.

    - #### setRoid

          public void setRoid(java.lang.String aRoid)

      Sets the defReg roid.
      Parameters:
        `aRoid` - DefReg Roid

    - #### getCreationDate

          public java.util.Date getCreationDate()

      Get creation date.
      Returns:
        Creation date and time of the defReg

    - #### setCreationDate

          public void setCreationDate(java.util.Date newCrDate)

      Set creation date.
      Parameters:
        `newCrDate` - Creation date and time of the defReg

    - #### getExpirationDate

          public java.util.Date getExpirationDate()

      Gets the expiration date and time of the defReg.
      Returns:
        Expiration date and time of the defReg if defined; `null` otherwise.

    - #### setExpirationDate

          public void setExpirationDate(java.util.Date aExpirationDate)

      Sets the expiration date and time of the defReg.
      Parameters:
        `aExpirationDate` - Expiration date and time of the defReg.

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPDefRegCreateResp` instance.
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPDefRegCreateResp` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPDefRegCreateResp` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPDefRegCreateResp` attributes from the `aElement` DOM Element tree.
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPDefRegCreateResp` from.
      Throws:
        `EPPDecodeException` - Unable to decode `aElement`